##
##  speex.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg          1.2.1
%define       V_dist_speex    1.2.1
%define       V_dist_speexdsp 1.2.1

#   package information
Name:         speex
Summary:      Speech Audio Codec
URL:          http://www.speex.org/
Vendor:       Xiph project
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Audio
License:      BSD-style
Version:      %{V_opkg}
Release:      20220707

#   list of sources
Source0:      http://downloads.xiph.org/releases/speex/speex-%{V_dist_speex}.tar.gz
Source1:      http://downloads.xiph.org/releases/speex/speexdsp-%{V_dist_speexdsp}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    Speex is an Open Source/Free Software patent-free audio compression
    format designed for speech. The Speex Project aims to lower the
    barrier of entry for voice applications by providing a free
    alternative to expensive proprietary speech codecs. Moreover,
    Speex is well-adapted to Internet applications and provides useful
    features that are not present in most other codecs.

%track
    prog speex:speex = {
        version   = %{V_dist_speex}
        url       = http://www.speex.org/downloads/
        regex     = speex-(__VER__)\.tar\.gz
    }
    prog speex:speexdsp = {
        version   = %{V_dist_speexdsp}
        url       = http://www.speex.org/downloads/
        regex     = speexdsp-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1

%build
    (   cd speex-%{V_dist_speex}
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        ./configure \
            --prefix=%{l_prefix} \
            --mandir=%{l_prefix}/man \
            --enable-binaries \
            --disable-shared
        %{l_make} %{l_mflags -O}
    ) || exit $?
    (   cd speexdsp-%{V_dist_speexdsp}
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        ./configure \
            --prefix=%{l_prefix} \
            --mandir=%{l_prefix}/man \
            --disable-shared
        %{l_make} %{l_mflags -O}
    ) || exit $?

%install
    (   cd speex-%{V_dist_speex}
        %{l_make} %{l_mflags} install \
            AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    ) || exit $?
    (   cd speexdsp-%{V_dist_speexdsp}
        %{l_make} %{l_mflags} install \
            AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    ) || exit $?
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/doc
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

